package beautiful04.step3;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang.StringUtils;
import org.seasar.extension.dataset.DataRow;
import org.seasar.extension.dataset.DataTable;

public class CsvConverter {
	
	private String[] columnNames;
	public void setColumnNames(String[] columnNames) {
		this.columnNames = columnNames;
	}
	
	private String[] columnLabels;
	public void setColumnLabels(String[] columnLabels) {
		this.columnLabels = columnLabels;
	}
	
	public String converte(DataTable table) {
		StringBuilder sb = new StringBuilder();

		// wb_[s̏o
		sb.append(StringUtils.join(columnLabels, ","));
		sb.append("\r\n");
		
		// f[^s̏o
		for (int i = 0; i < table.getRowSize(); i++) {
			DataRow row = table.getRow(i);
			
			// o͑Ώۂ̃f[^𒊏o
			List<Object> line = new ArrayList<Object>();
			for (String columnName : columnNames) {
				line.add(row.getValue(columnName));
			}
			// J}؂̃f[^Pso
			sb.append(StringUtils.join(line.iterator(), ","));
			sb.append("\r\n");
		}
		return sb.toString();
	}
}
