package beautiful04.step2;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang.StringUtils;
import org.seasar.extension.dataset.DataRow;
import org.seasar.extension.dataset.DataTable;

public class CsvConverter {
	
	private static final String[] COLUMN_NAMES = {"ID", "NAME"};
	private static final String[] COLUMN_LABELS = {"ID", "O"};
	
	public String converte(DataTable table) {
		StringBuilder sb = new StringBuilder();

		// wb_[s̏o
		sb.append(StringUtils.join(COLUMN_LABELS, ","));
		sb.append("\r\n");
		
		// f[^s̏o
		for (int i = 0; i < table.getRowSize(); i++) {
			DataRow row = table.getRow(i);
			
			// o͑Ώۂ̃f[^𒊏o
			List<Object> line = new ArrayList<Object>();
			for (String columnName : COLUMN_NAMES) {
				line.add(row.getValue(columnName));
			}
			// J}؂̃f[^Pso
			sb.append(StringUtils.join(line.iterator(), ","));
			sb.append("\r\n");
		}
		return sb.toString();
	}
}
