package beautiful04.step3;

import org.seasar.extension.dataset.DataTable;
import org.seasar.framework.container.S2Container;
import org.seasar.framework.container.factory.S2ContainerFactory;

import beautiful04.TestDataUtil;

/**
 * Step3.^e[^쓮vO
 * @param args
 */
public class Main {
	private static final String PATH = "beautiful04/step3/csv.dicon";
	public static void main(String[] args) {
		DataTable table = TestDataUtil.makeData();
		S2Container container = S2ContainerFactory.create(PATH);
		CsvConverter converter = (CsvConverter) container.getComponent(CsvConverter.class);
		String csv = converter.converte(table);
		System.out.println("csv:\n" + csv);
	}
}
